DROP TABLE browse_criteria;
DROP TABLE dependant_document_instance;
DROP TABLE dependant_document_template;
DROP TABLE zseq_web_documents_status_lookup;
CREATE TABLE document_content_version (id int(11) NOT NULL default '0',document_id int(11) NOT NULL default '0',filename text NOT NULL,size bigint(20) NOT NULL default '0',mime_id int(11) NOT NULL default '0',major_version int(11) NOT NULL default '0',minor_version int(11) NOT NULL default '0',storage_path varchar(250) default NULL,UNIQUE KEY id (id),KEY storage_path (storage_path),KEY document_id (document_id)) TYPE=InnoDB;
ALTER TABLE document_fields_link DROP COLUMN document_id;
ALTER TABLE document_fields_link ADD COLUMN metadata_version_id int(11) default NULL;
CREATE TABLE document_metadata_version ( id int(11) NOT NULL default '0', document_id int(11) NOT NULL default '0', content_version_id int(11) NOT NULL default '0', document_type_id int(11) NOT NULL default '0', name text NOT NULL, description varchar(200) NOT NULL default '', status_id int(11) default NULL, metadata_version int(11) NOT NULL default '0', version_created datetime NOT NULL default '0000-00-00 00:00:00', version_creator_id int(11) NOT NULL default '0', UNIQUE KEY id (id), KEY fk_document_type_id (document_type_id), KEY fk_status_id (status_id), KEY document_id (document_id), KEY version_created (version_created), KEY version_creator_id (version_creator_id), KEY content_version_id (content_version_id) ) TYPE=InnoDB;
ALTER TABLE documents DROP COLUMN document_type_id;
ALTER TABLE documents DROP COLUMN name;
ALTER TABLE documents DROP COLUMN filename;
ALTER TABLE documents DROP COLUMN size;
ALTER TABLE documents DROP COLUMN description;
ALTER TABLE documents DROP COLUMN security;
ALTER TABLE documents DROP COLUMN mime_id;
ALTER TABLE documents DROP COLUMN major_version;
ALTER TABLE documents DROP COLUMN minor_version;
ALTER TABLE documents DROP COLUMN live_document_id;
ALTER TABLE documents DROP COLUMN storage_path;
ALTER TABLE documents DROP COLUMN folder_id;
ALTER TABLE documents ADD COLUMN folder_id int(11) NOT NULL default '0';
ALTER TABLE documents ADD COLUMN metadata_version_id int(11) default NULL;
DROP TABLE groups_folders_approval_link;
DROP TABLE groups_folders_link;
ALTER TABLE help_replacement DROP COLUMN title;
DROP TABLE web_documents;
DROP TABLE web_documents_status_lookup;
DROP TABLE web_sites;
DROP TABLE zseq_groups_folders_approval_link;
DROP TABLE zseq_groups_folders_link;
DROP TABLE zseq_web_documents
ALTER TABLE zseq_active_sessions DROP COLUMN id;
ALTER TABLE zseq_active_sessions ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_archive_restoration_request DROP COLUMN id;
ALTER TABLE zseq_archive_restoration_request ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_archiving_settings DROP COLUMN id;
ALTER TABLE zseq_archiving_settings ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_archiving_type_lookup DROP COLUMN id;
ALTER TABLE zseq_archiving_type_lookup ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_authentication_sources DROP COLUMN id;
ALTER TABLE zseq_authentication_sources ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_browse_criteria DROP COLUMN id;
ALTER TABLE zseq_browse_criteria ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_dashlet_disables DROP COLUMN id;
ALTER TABLE zseq_dashlet_disables ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_data_types DROP COLUMN id;
ALTER TABLE zseq_data_types ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_dependant_document_instance DROP COLUMN id;
ALTER TABLE zseq_dependant_document_instance ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_dependant_document_template DROP COLUMN id;
ALTER TABLE zseq_dependant_document_template ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_discussion_comments DROP COLUMN id;
ALTER TABLE zseq_discussion_comments ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_discussion_threads DROP COLUMN id;
ALTER TABLE zseq_discussion_threads ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_document_fields DROP COLUMN id;
ALTER TABLE zseq_document_fields ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_document_fields_link DROP COLUMN id;
ALTER TABLE zseq_document_fields_link ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_document_link DROP COLUMN id;
ALTER TABLE zseq_document_link ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_document_metadata_version DROP COLUMN id;
ALTER TABLE zseq_document_metadata_version ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_document_subscriptions DROP COLUMN id;
ALTER TABLE zseq_document_subscriptions ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_document_transaction_types_lookup DROP COLUMN id;
ALTER TABLE zseq_document_transaction_types_lookup ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_document_transactions DROP COLUMN id;
ALTER TABLE zseq_document_transactions ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_document_type_fields_link DROP COLUMN id;
ALTER TABLE zseq_document_type_fields_link ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_document_type_fieldsets_link DROP COLUMN id;
ALTER TABLE zseq_document_type_fieldsets_link ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_document_types_lookup DROP COLUMN id;
ALTER TABLE zseq_document_types_lookup ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_documents DROP COLUMN id;
ALTER TABLE zseq_documents ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_field_behaviours DROP COLUMN id;
ALTER TABLE zseq_field_behaviours ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_field_value_instances DROP COLUMN id;
ALTER TABLE zseq_field_value_instances ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_fieldsets DROP COLUMN id;
ALTER TABLE zseq_fieldsets ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_folder_doctypes_link DROP COLUMN id;
ALTER TABLE zseq_folder_doctypes_link ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_folder_subscriptions DROP COLUMN id;
ALTER TABLE zseq_folder_subscriptions ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_folders DROP COLUMN id;
ALTER TABLE zseq_folders ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_folders_users_roles_link DROP COLUMN id;
ALTER TABLE zseq_folders_users_roles_link ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_groups_groups_link DROP COLUMN id;
ALTER TABLE zseq_groups_groups_link ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_groups_lookup DROP COLUMN id;
ALTER TABLE zseq_groups_lookup ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_groups_units_link DROP COLUMN id;
ALTER TABLE zseq_groups_units_link ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_help DROP COLUMN id;
ALTER TABLE zseq_help ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_help_replacement DROP COLUMN id;
ALTER TABLE zseq_help_replacement ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_links DROP COLUMN id;
ALTER TABLE zseq_links ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_metadata_lookup DROP COLUMN id;
ALTER TABLE zseq_metadata_lookup ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_metadata_lookup_tree DROP COLUMN id;
ALTER TABLE zseq_metadata_lookup_tree ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_mime_types DROP COLUMN id;
ALTER TABLE zseq_mime_types ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_news DROP COLUMN id;
ALTER TABLE zseq_news ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_notifications DROP COLUMN id;
ALTER TABLE zseq_notifications ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_organisations_lookup DROP COLUMN id;
ALTER TABLE zseq_organisations_lookup ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_permission_assignments DROP COLUMN id;
ALTER TABLE zseq_permission_assignments ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_permission_descriptors DROP COLUMN id;
ALTER TABLE zseq_permission_descriptors ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_permission_dynamic_conditions DROP COLUMN id;
ALTER TABLE zseq_permission_dynamic_conditions ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_permission_lookup_assignments DROP COLUMN id;
ALTER TABLE zseq_permission_lookup_assignments ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_permission_lookups DROP COLUMN id;
ALTER TABLE zseq_permission_lookups ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_permission_objects DROP COLUMN id;
ALTER TABLE zseq_permission_objects ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_permissions DROP COLUMN id;
ALTER TABLE zseq_permissions ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_role_allocations DROP COLUMN id;
ALTER TABLE zseq_role_allocations ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_roles DROP COLUMN id;
ALTER TABLE zseq_roles ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_saved_searches DROP COLUMN id;
ALTER TABLE zseq_saved_searches ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_search_document_user_link DROP COLUMN id;
ALTER TABLE zseq_search_document_user_link ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_status_lookup DROP COLUMN id;
ALTER TABLE zseq_status_lookup ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_system_settings DROP COLUMN id;
ALTER TABLE zseq_system_settings ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_time_period DROP COLUMN id;
ALTER TABLE zseq_time_period ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_time_unit_lookup DROP COLUMN id;
ALTER TABLE zseq_time_unit_lookup ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_units_lookup DROP COLUMN id;
ALTER TABLE zseq_units_lookup ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_units_organisations_link DROP COLUMN id;
ALTER TABLE zseq_units_organisations_link ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_upgrades DROP COLUMN id;
ALTER TABLE zseq_upgrades ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_users DROP COLUMN id;
ALTER TABLE zseq_users ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_users_groups_link DROP COLUMN id;
ALTER TABLE zseq_users_groups_link ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_workflow_states DROP COLUMN id;
ALTER TABLE zseq_workflow_states ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_workflow_transitions DROP COLUMN id;
ALTER TABLE zseq_workflow_transitions ADD COLUMN id int(10) unsigned NOT NULL;
ALTER TABLE zseq_plugins DROP COLUMN id;
ALTER TABLE zseq_plugins ADD COLUMN id int(10) unsigned NOT NULL;
