ALTER TABLE folder_transactions DROP COLUMN comment;
ALTER TABLE folder_transactions ADD COLUMN comment varchar(255) NOT NULL;
ALTER TABLE active_sessions DROP COLUMN session_id;
ALTER TABLE active_sessions ADD COLUMN session_id varchar(32) default NULL;
ALTER TABLE active_sessions DROP COLUMN ip;
ALTER TABLE active_sessions ADD COLUMN ip varchar(15) default NULL;
ALTER TABLE archiving_type_lookup DROP COLUMN name;
ALTER TABLE archiving_type_lookup ADD COLUMN name varchar(100) default NULL;
ALTER TABLE authentication_sources DROP COLUMN name;
ALTER TABLE authentication_sources ADD COLUMN name varchar(50) NOT NULL;
ALTER TABLE config_groups DROP COLUMN display_name;
ALTER TABLE config_groups ADD COLUMN display_name varchar(255) default NULL;
ALTER TABLE config_groups DROP COLUMN category;
ALTER TABLE config_groups ADD COLUMN category varchar(255) default NULL;
ALTER TABLE config_settings DROP COLUMN display_name;
ALTER TABLE config_settings ADD COLUMN display_name varchar(255) default NULL;
ALTER TABLE data_types DROP COLUMN name;
ALTER TABLE data_types ADD COLUMN name varchar(255) NOT NULL;
ALTER TABLE document_content_version DROP COLUMN storage_path;
ALTER TABLE document_content_version ADD COLUMN storage_path varchar(1024) default NULL;
ALTER TABLE document_fields DROP COLUMN is_mandatory;
ALTER TABLE document_fields ADD COLUMN is_mandatory tinyint(1) NOT NULL default '0';
ALTER TABLE document_link_types DROP COLUMN name;
ALTER TABLE document_link_types ADD COLUMN name varchar(100) NOT NULL;
ALTER TABLE document_link_types DROP COLUMN reverse_name;
ALTER TABLE document_link_types ADD COLUMN reverse_name varchar(100) NOT NULL;
ALTER TABLE document_link_types DROP COLUMN description;
ALTER TABLE document_link_types ADD COLUMN description varchar(255) NOT NULL;
ALTER TABLE document_metadata_version DROP COLUMN description;
ALTER TABLE document_metadata_version ADD COLUMN description varchar(255) default NULL;
ALTER TABLE document_tags DROP COLUMN document_id;
ALTER TABLE document_tags ADD COLUMN document_id int(11) NOT NULL;
ALTER TABLE document_tags DROP COLUMN tag_id;
ALTER TABLE document_tags ADD COLUMN tag_id int(11) NOT NULL;
ALTER TABLE document_transaction_types_lookup DROP COLUMN namespace;
ALTER TABLE document_transaction_types_lookup ADD COLUMN namespace varchar(255) NOT NULL;
ALTER TABLE document_types_lookup DROP COLUMN name;
ALTER TABLE document_types_lookup ADD COLUMN name varchar(100) default NULL;
ALTER TABLE document_types_lookup DROP COLUMN disabled;
ALTER TABLE document_types_lookup ADD COLUMN disabled tinyint(1) NOT NULL default '0';
ALTER TABLE documents DROP COLUMN linked_document_id;
ALTER TABLE documents ADD COLUMN linked_document_id int(11) default NULL;
ALTER TABLE field_behaviours DROP COLUMN name;
ALTER TABLE field_behaviours ADD COLUMN name varchar(255) NOT NULL;
ALTER TABLE field_behaviours DROP COLUMN human_name;
ALTER TABLE field_behaviours ADD COLUMN human_name varchar(100) NOT NULL;
ALTER TABLE fieldsets DROP COLUMN mandatory;
ALTER TABLE fieldsets ADD COLUMN mandatory tinyint(1) NOT NULL default '0';
ALTER TABLE fieldsets DROP COLUMN disabled;
ALTER TABLE fieldsets ADD COLUMN disabled tinyint(1) NOT NULL default '0';
ALTER TABLE folder_transactions DROP COLUMN ip;
ALTER TABLE folder_transactions ADD COLUMN ip varchar(15) default NULL;

ALTER TABLE folder_transactions DROP COLUMN transaction_namespace;
ALTER TABLE folder_transactions ADD COLUMN transaction_namespace varchar(255) NOT NULL;
ALTER TABLE folders DROP COLUMN linked_folder_id;
ALTER TABLE folders ADD COLUMN linked_folder_id int(11) default NULL;
ALTER TABLE links DROP COLUMN name;
ALTER TABLE links ADD COLUMN name varchar(100) NOT NULL;
ALTER TABLE links DROP COLUMN url;
ALTER TABLE links ADD COLUMN url varchar(100) NOT NULL;
ALTER TABLE metadata_lookup DROP COLUMN name;
ALTER TABLE metadata_lookup ADD COLUMN name varchar(255) default NULL;
ALTER TABLE metadata_lookup DROP COLUMN disabled;
ALTER TABLE metadata_lookup ADD COLUMN disabled tinyint(1) NOT NULL default '0';
ALTER TABLE metadata_lookup_tree DROP COLUMN name;
ALTER TABLE metadata_lookup_tree ADD COLUMN name varchar(255) default NULL;
ALTER TABLE mime_extractors DROP COLUMN active;
ALTER TABLE mime_extractors ADD COLUMN active tinyint(1) NOT NULL default '0';
ALTER TABLE mime_types DROP COLUMN filetypes;
ALTER TABLE mime_types ADD COLUMN filetypes varchar(100) NOT NULL;
ALTER TABLE mime_types DROP COLUMN mimetypes;
ALTER TABLE mime_types ADD COLUMN mimetypes varchar(100) NOT NULL;
ALTER TABLE mime_types DROP COLUMN icon_path;
ALTER TABLE mime_types ADD COLUMN icon_path varchar(255) default NULL;
ALTER TABLE mime_types DROP COLUMN friendly_name;
ALTER TABLE mime_types ADD COLUMN friendly_name varchar(255) NOT NULL default '';
ALTER TABLE organisations_lookup DROP COLUMN name;
ALTER TABLE organisations_lookup ADD COLUMN name varchar(100) NOT NULL;
ALTER TABLE permissions DROP COLUMN name;
ALTER TABLE permissions ADD COLUMN name varchar(100) NOT NULL;
ALTER TABLE permissions DROP COLUMN human_name;
ALTER TABLE permissions ADD COLUMN human_name varchar(100) NOT NULL;
ALTER TABLE permissions DROP COLUMN built_in;
ALTER TABLE permissions ADD COLUMN built_in tinyint(1) NOT NULL default '0';
ALTER TABLE roles DROP COLUMN name;
ALTER TABLE roles ADD COLUMN name varchar(255) NOT NULL;
ALTER TABLE saved_searches DROP COLUMN name;
ALTER TABLE saved_searches ADD COLUMN name varchar(255) NOT NULL;
ALTER TABLE saved_searches DROP COLUMN namespace;
ALTER TABLE saved_searches ADD COLUMN namespace varchar(255) NOT NULL;
ALTER TABLE scheduler_tasks DROP COLUMN is_complete;
ALTER TABLE scheduler_tasks ADD COLUMN is_complete tinyint(1) NOT NULL default '0';
ALTER TABLE status_lookup DROP COLUMN name;
ALTER TABLE status_lookup ADD COLUMN name varchar(255) NOT NULL;
ALTER TABLE system_settings DROP COLUMN name;
ALTER TABLE system_settings ADD COLUMN name varchar(255) NOT NULL;
ALTER TABLE time_unit_lookup DROP COLUMN name;
ALTER TABLE time_unit_lookup ADD COLUMN name varchar(100) NOT NULL;
ALTER TABLE units_lookup DROP COLUMN name;
ALTER TABLE units_lookup ADD COLUMN name varchar(100) NOT NULL;
ALTER TABLE upgrades DROP COLUMN descriptor;
ALTER TABLE upgrades ADD COLUMN descriptor varchar(100) NOT NULL;
ALTER TABLE upgrades DROP COLUMN description;
ALTER TABLE upgrades ADD COLUMN description varchar(255) NOT NULL;
ALTER TABLE upgrades DROP COLUMN result;
ALTER TABLE upgrades ADD COLUMN result tinyint(1) NOT NULL default '0';
ALTER TABLE upgrades DROP COLUMN parent;
ALTER TABLE upgrades ADD COLUMN parent varchar(40) default NULL;
ALTER TABLE workflow_actions DROP COLUMN action_name;
ALTER TABLE workflow_actions ADD COLUMN action_name varchar(255) NOT NULL;
ALTER TABLE workflow_state_actions DROP COLUMN action_name;
ALTER TABLE workflow_state_actions ADD COLUMN action_name varchar(255) NOT NULL;
ALTER TABLE workflow_state_disabled_actions DROP COLUMN action_name;
ALTER TABLE workflow_state_disabled_actions ADD COLUMN action_name varchar(255) NOT NULL;
ALTER TABLE workflow_states DROP COLUMN name;
ALTER TABLE workflow_states ADD COLUMN name varchar(255) NOT NULL;
ALTER TABLE workflow_states DROP COLUMN human_name;
ALTER TABLE workflow_states ADD COLUMN human_name varchar(100) NOT NULL;
ALTER TABLE workflow_states DROP COLUMN manage_permissions;
ALTER TABLE workflow_states ADD COLUMN manage_permissions tinyint(1) NOT NULL default '0';
ALTER TABLE workflow_states DROP COLUMN manage_actions;
ALTER TABLE workflow_states ADD COLUMN manage_actions tinyint(1) NOT NULL default '0';
ALTER TABLE workflow_transitions DROP COLUMN name;
ALTER TABLE workflow_transitions ADD COLUMN name varchar(255) NOT NULL;
ALTER TABLE workflow_transitions DROP COLUMN human_name;
ALTER TABLE workflow_transitions ADD COLUMN human_name varchar(255) NOT NULL;
ALTER TABLE workflow_trigger_instances DROP COLUMN namespace;
ALTER TABLE workflow_trigger_instances ADD COLUMN namespace varchar(255) NOT NULL;
ALTER TABLE workflows DROP COLUMN name;
ALTER TABLE workflows ADD COLUMN name varchar(255) NOT NULL;
ALTER TABLE workflows DROP COLUMN human_name;
ALTER TABLE workflows ADD COLUMN human_name varchar(100) NOT NULL;
ALTER TABLE workflows DROP COLUMN enabled;
ALTER TABLE workflows ADD COLUMN enabled tinyint(1) NOT NULL default '1';
